#!/bin/bash
# Use this to customize configuration of tools 

# Add nginx and php-fpm configurations
cp /resources/nginx.conf /etc/nginx/nginx.conf && \
rm -f /etc/nginx/conf.d/default.conf && \
cp /resources/fastcgi_params /etc/nginx/fastcgi_params && \
cp /resources/location.conf /etc/nginx/location.conf && \
cp /resources/php-fpm-www.conf /etc/php5/fpm/pool.d/www.conf && \

# Manage users
groupadd -g 580 core_user && \
useradd -u 580 -g core_user core_user && \
usermod -a -G core_user nginx && \

# Add php configurations
echo 'phar.readonly = Off' >> /etc/php5/fpm/php.ini && \
echo 'phar.readonly = Off' >> /etc/php5/cli/php.ini && \
echo 'expose_php=Off' >> /etc/php5/cli/php.ini && \
echo 'expose_php=Off' >> /etc/php5/fpm/php.ini && \
echo 'apc.enabled=1' >> /etc/php5/cli/conf.d/20-apcu.ini && \
echo 'apc.enabled=1' >> /etc/php5/fpm/conf.d/20-apcu.ini && \
echo 'apc.enable_cli=1' >> /etc/php5/cli/conf.d/20-apcu.ini && \
echo 'apc.enable_cli=1' >> /etc/php5/fpm/conf.d/20-apcu.ini && \
echo "extension=mongodb.so" >> /etc/php5/fpm/php.ini && \
echo "extension=mongodb.so" >> /etc/php5/cli/php.ini && \
sed -i "s/^\(max_execution_time =\).*/\1 600/" /etc/php5/fpm/php.ini && \
sed -i "s/^\(max_input_time =\).*/\1 600/" /etc/php5/fpm/php.ini && \
sed -i "s/^\(max_execution_time =\).*/\1 600/" /etc/php5/cli/php.ini && \
sed -i "s/^\(max_input_time =\).*/\1 600/" /etc/php5/cli/php.ini

sed -e '/Defaults    requiretty/ s/^#*/#/' -i /etc/sudoers && \
echo 'core_user ALL=(ALL) NOPASSWD:ALL'>>/etc/sudoers && \
chown -R core_user:core_user /etc/nginx /var/log/nginx/